FROM registry.gitlab.com/ig-apps/docker-images/php8-symfony:latest

ENV PHP_XDEBUG_MODE ${PHP_XDEBUG_MODE:-"develop"} \
    PHP_XDEBUG_REMOTE_ENABLE ${PHP_XDEBUG_REMOTE_ENABLE:-1} \
    PHP_XDEBUG_REMOTE_HOST ${PHP_XDEBUG_REMOTE_HOST:-"127.0.0.1"} \
    PHP_XDEBUG_REMOTE_PORT ${PHP_XDEBUG_REMOTE_PORT:-9000} \
    PHP_XDEBUG_REMOTE_AUTO_START ${PHP_XDEBUG_REMOTE_AUTO_START:-1} \
    PHP_XDEBUG_REMOTE_CONNECT_BACK ${PHP_XDEBUG_REMOTE_CONNECT_BACK:-1} \
    PHP_XDEBUG_IDEKEY ${PHP_XDEBUG_IDEKEY:-docker} \
    PHP_XDEBUG_PROFILER_ENABLE ${PHP_XDEBUG_PROFILER_ENABLE:-0} \
    PHP_XDEBUG_PROFILER_OUTPUT_DIR ${PHP_XDEBUG_PROFILER_OUTPUT_DIR:-"/tmp"}

RUN install-php-extensions xdebug

COPY conf.d/opcache_dev.ini /usr/local/etc/php/conf.d/opcache.ini
COPY conf.d/xdebug.ini /usr/local/etc/php/conf.d/xdebug.ini

EXPOSE 9000

WORKDIR "/srv/app"

